from flask_restx import Namespace, Resource, fields

api = Namespace('users', description='User management')

user = api.model('User', {
    'name': fields.String(required=True,
                          description='The name of the user',
                          example="tyler"),
    'token': fields.String(required=False,
                           description='auth token')
    })

@api.route('/register')
class register(Resource):
    @api.doc('register')
    @api.marshal_with(user)
    def post(self):
        print(api.payload)
